#ifndef __DIALOG_CONFIG_BASE__
#define __DIALOG_CONFIG_BASE__


class CConfigBaseDlg:public CDialog
{
	 DECLARE_DYNAMIC(CConfigBaseDlg)
public:
	CConfigBaseDlg(UINT nResourceID,CWnd* pParent=NULL);
	~CConfigBaseDlg();

public:
	void ShowChild();


protected:
	static CConfigBaseDlg * m_pDlgCurrent;
	//CFontDialog * m_pFontDialog;
	virtual BOOL PreTranslateMessage(MSG* pMsg);

	//BTS:NTALKCL-110
	struct ClickAssociateInfo
	{
		CButton* pButton;
		RECT	 rcRange;
	};
	typedef std::list<ClickAssociateInfo*>	ClickAssociateInfoContainer;
	ClickAssociateInfoContainer	m_ClickAssociateInfos;
	void  AddClickAssociateInfo(CButton* pButton, const CRect& rcRange);
	BOOL  CheckClickAssociateInfo(const CPoint& pt);
	void  ToggleAssociateButton(CButton* pAssociateButton);
protected:
	DECLARE_MESSAGE_MAP()
	virtual void OnOK();
	virtual void OnCancel();
	virtual BOOL OnInitDialog();

	afx_msg void OnDestroy();
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);

};
#endif 